*** ./include/config.h.osr6	Fri Apr 22 18:32:27 2005
--- ./include/config.h	Mon Oct 24 14:14:39 2005
***************
*** 58,63 ****
--- 58,72 ----
  #define _SQUID_SUNOS_
  #endif
  
+ #elif defined(__USLC__)		/* UnixWare - SysV */
+ #define _SQUID_UW_
+ #define _SQUID_SYSV_
+ #define _SQUID_SOLARIS_
+ #define SOLARIS
+ #if !defined(__SVR4)
+ #define __SVR4
+ #endif
+ 
  #elif defined(__hpux)		/* HP-UX - SysV-like? */
  #define _SQUID_HPUX_
  #define _SQUID_SYSV_
*** ./src/protos.h.osr6	Thu Sep 15 02:53:28 2005
--- ./src/protos.h	Mon Oct 24 14:14:39 2005
***************
*** 1304,1311 ****
--- 1304,1313 ----
  #ifdef _SQUID_SOLARIS_
  extern int getrusage(int, struct rusage *);
  extern int getpagesize(void);
+ #ifndef __USLC__
  extern int gethostname(char *, int);
  #endif
+ #endif
  
  #if URL_CHECKSUM_DEBUG
  extern unsigned int url_checksum(const char *url);
*** ./src/tools.c.osr6	Fri Sep 16 14:13:18 2005
--- ./src/tools.c	Mon Oct 24 14:14:39 2005
***************
*** 179,190 ****
  {
      memset(r, '\0', sizeof(struct rusage));
  #if HAVE_GETRUSAGE && defined(RUSAGE_SELF)
! #ifdef _SQUID_SOLARIS_
      /* Solaris 2.5 has getrusage() permission bug -- Arjan de Vet */
      enter_suid();
  #endif
      getrusage(RUSAGE_SELF, r);
! #ifdef _SQUID_SOLARIS_
      leave_suid();
  #endif
  #endif
--- 179,190 ----
  {
      memset(r, '\0', sizeof(struct rusage));
  #if HAVE_GETRUSAGE && defined(RUSAGE_SELF)
! #if defined(_SQUID_SOLARIS_) && !defined(__USLC__)
      /* Solaris 2.5 has getrusage() permission bug -- Arjan de Vet */
      enter_suid();
  #endif
      getrusage(RUSAGE_SELF, r);
! #if defined(_SQUID_SOLARIS_)  && !defined(__USLC__)
      leave_suid();
  #endif
  #endif
***************
*** 273,278 ****
--- 273,279 ----
      }
  #endif /* _SQUID_HPUX_ */
  #ifdef _SQUID_SOLARIS_
+ #ifndef __USLC__
      {				/* get ftp://opcom.sun.ca/pub/tars/opcom_stack.tar.gz and */
  	extern void opcom_stack_trace(void);	/* link with -lopcom_stack */
  	fflush(debug_log);
***************
*** 280,285 ****
--- 281,287 ----
  	opcom_stack_trace();
  	fflush(stdout);
      }
+ #endif /* __USLC__ */
  #endif /* _SQUID_SOLARIS_ */
  #if HAVE_BACKTRACE_SYMBOLS_FD
      {
*** ./src/cache_cf.c.osr6	Wed Sep 28 14:42:33 2005
--- ./src/cache_cf.c	Mon Oct 24 14:17:50 2005
***************
*** 440,447 ****
  		    Config.effectiveUser);
  	    Config2.effectiveUserID = pwd->pw_uid;
  	    Config2.effectiveGroupID = pwd->pw_gid;
- 	    if (pwd->pw_dir && *pwd->pw_dir)
- 		setenv("HOME", pwd->pw_dir, 1);
  	}
      } else {
  	Config2.effectiveUserID = geteuid();
--- 440,445 ----
*** ./helpers/basic_auth/getpwnam/getpwnam_auth.c.osr6	Sun Apr 24 09:28:16 2005
--- ./helpers/basic_auth/getpwnam/getpwnam_auth.c	Mon Oct 24 14:14:39 2005
***************
*** 42,47 ****
--- 42,51 ----
  
  #include "util.h"
  
+ #ifdef _USE_SHADOW
+ #include <shadow.h>
+ #endif
+ 
  #define ERR    "ERR\n"
  #define OK     "OK\n"
  
***************
*** 49,55 ****
--- 53,63 ----
  main()
  {
      char buf[256];
+ #ifdef _USE_SHADOW
+     struct spwd *pwd;
+ #else
      struct passwd *pwd;
+ #endif
      char *user, *passwd, *p;
  
      setbuf(stdout, NULL);
***************
*** 68,83 ****
  	}
  	rfc1738_unescape(user);
  	rfc1738_unescape(passwd);
  	pwd = getpwnam(user);
  	if (pwd == NULL) {
  	    printf("ERR No such user\n");
  	} else {
! 	    if (strcmp(pwd->pw_passwd, (char *) crypt(passwd, pwd->pw_passwd))) {
! 		printf("ERR Wrong password\n");
  	    } else {
! 		printf(OK);
  	    }
! 	}
      }
      exit(0);
  }
--- 76,100 ----
  	}
  	rfc1738_unescape(user);
  	rfc1738_unescape(passwd);
+ #ifdef _USE_SHADOW
+     pwd = getspnam(user);
+ #else
  	pwd = getpwnam(user);
+ #endif
  	if (pwd == NULL) {
  	    printf("ERR No such user\n");
  	} else {
! #ifdef _USE_SHADOW
!         if (strcmp(pwd->sp_pwdp, (char *)crypt(passwd, pwd->sp_pwdp)))
! #else
!         if (strcmp(pwd->pw_passwd, (char *)crypt(passwd, pwd->pw_passwd)))
! #endif
!         {
! 		    printf("ERR Wrong password\n");
  	    } else {
! 		    printf(OK);
  	    }
!     }
      }
      exit(0);
  }
*** ./Build-OSR6.osr6	Mon Oct 24 14:14:39 2005
--- ./Build-OSR6	Mon Oct 24 14:14:39 2005
***************
*** 0 ****
--- 1,66 ----
+ #!/bin/sh
+ #
+ #set -x
+ # These must get set in the UW build but we need them set here
+ INSTALL=/usr/gnu/bin/install
+ VER=2.5.STABLE12
+ ROOT=/var/tmp/squid-${VER}-root
+ # We need GNU make.
+ MAKE=/usr/gnu/bin/make
+ export MAKE
+ [ ! -x $MAKE ] && {
+ 	error "ERROR: $MAKE not found" >&2
+ 	exit 1
+ }
+ # Auth schemes.
+ PAM=
+ AUTH="basic ntlm digest"
+ # Basic auth helpers.  We are excluding LDAP and SASL.
+ BASIC_AUTH_HELPERS="LDAP MSNT NCSA $PAM SMB YP getpwnam multi-domain-NTLM winbind"
+ CFLAGS='-O2 -Xa -Dasm=__asm -DANSICPP'
+ LDFLAGS=' '
+ CC="cc -Kthread -Kalloca"
+ export CFLAGS LDFLAGS CC
+ #set -e
+ # Configure and build in a separate work directory.
+ rm -rf work
+ mkdir work
+ cd work
+ #
+ # Note:
+ # Do not use --with-samba-sources option to point to samba-3.0.10.
+ #
+ ../configure \
+ 	--cache-file=/dev/null \
+ 	--host=i686-sco-sysv5 \
+ 	--build=i686-sco-sysv5 \
+ 	--prefix=/usr \
+ 	--libexecdir=/usr/bin \
+ 	--datadir=/usr/share/squid \
+ 	--sysconfdir=/etc/squid \
+ 	--localstatedir=/var/squid \
+ 	--enable-gnuregex \
+ 	--enable-carp \
+ 	--with-pthreads \
+ 	--with-dl \
+ 	--enable-removal-policies \
+ 	--enable-icmp \
+ 	--enable-delay-pools \
+ 	--enable-useragent-log \
+ 	--enable-referer-log \
+ 	--enable-kill-parent-hack \
+ 	--enable-snmp \
+ 	--disable-apr-acl \
+ 	--enable-htcp \
+ 	--enable-ssl \
+ 	--enable-cache-digests \
+ 	--enable-poll \
+ 	--enable-auth="$AUTH" \
+ 	--enable-basic-auth-helpers="$BASIC_AUTH_HELPERS" \
+ 	--enable-ntlm-auth-helpers \
+ 	--enable-digest-auth-helpers \
+ 	--enable-external-acl-helpers="ip_user ldap_group unix_group"
+ 
+ # Make and install.
+ $MAKE DESTDIR=$ROOT/$MACH install
+ 
*** ./squid.init.osr6	Mon Oct 24 14:14:39 2005
--- ./squid.init	Mon Oct 24 14:14:39 2005
***************
*** 0 ****
--- 1,264 ----
+ #!/bin/sh
+ #
+ #	@(#) squid 15.1 99/09/02 
+ #
+ # Copyright (c) 1999 The Santa Cruz Operation, Inc.. All Rights Reserved.
+ # THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE SANTA CRUZ OPERATION INC.
+ # The copyright notice above does not evidence any actual or intended
+ # publication of such source code.
+ # 
+ #
+ # squid start/stop script
+ # Usage: squid [ start | stop | enable | disable | query | restart | rotate ]
+ #
+ 
+ # definitions
+ USAGE="Usage: %s [ start | stop | enable | disable | query | restart | rotate ]"
+ CAT="squid.cat"
+ 
+ # paths to squid files, and a label
+ SQUID_LABEL="squid"
+ SQUID_BINARY="/usr/sbin/squid"
+ #SQUID_PIDFILE="/var/run/squid.pid"
+ SQUID_PIDFILE="/var/log/squid/logs/squid.pid"
+ 
+ # more paths, and some wait timeouts
+ PATH="/bin:/sbin:/usr/bin:/usr/sbin:/etc"; export PATH
+ SCRIPTDIR="/etc/init.d"
+ SCRIPT="squid"
+ SCRIPTNUM="S91"
+ STOP_TIMEOUT=90
+ START_TIMEOUT=30
+ 
+ #############################################################################
+ #
+ # squid_start
+ #
+ # start the server daemon running
+ #
+ #############################################################################
+ squid_start() {
+ 	$SQUID_BINARY -k check 2> /dev/null
+ 	if [ $? -eq 0 ]; then
+ 		dspmsg $CAT 2 "%s is already running.\n" $SQUID_LABEL
+ 	else
+ 		dspmsg $CAT 3 "Starting %s ... " $SQUID_LABEL
+ 		$SQUID_BINARY -sY 
+ 		count=0; while [ $count -lt $START_TIMEOUT ]; do
+ 			sleep 1                 # wait for startup
+ 			$SQUID_BINARY -k check 2> /dev/null
+ 			if [ $? -eq 0 ]; then
+ 				break
+ 			fi
+ 			count=`expr $count + 1`
+ 		done
+ 		if [ $count -lt $START_TIMEOUT ]; then
+ 			dspmsg $CAT 4 "done.\n"
+ 		else
+ 			echo "" #newline
+ 			dspmsg $CAT 5 "%s could not be started\n" $SQUID_LABEL
+ 		fi
+ 	fi
+ }
+ 
+ #############################################################################
+ #
+ # squid_stop
+ #
+ # stop the server daemon if it is running
+ #
+ #############################################################################
+ squid_stop() {
+ 	$SQUID_BINARY -k check 2> /dev/null
+ 	if [ $? -eq 0 ]; then
+ 		dspmsg $CAT 6 "Stopping %s ... " $SQUID_LABEL
+ #		PPID=`ps -ef | grep $SQUID_BINARY | awk ' { print $2 } '`
+ #               kill $PPID
+ #		PID=`ps -ef | grep squid | grep sY | awk ' { print $2 } '`
+ #               kill $PID
+ 		$SQUID_BINARY -k shutdown
+ 		count=0; while [ $count -lt $STOP_TIMEOUT ]; do
+ 			sleep 1			# let server stop
+ 			$SQUID_BINARY -k check 2> /dev/null
+ 			if [ $? -ne 0 ]; then
+ 				dspmsg $CAT 7 "done.\n"
+ 				break
+ 			fi
+ 			count=`expr $count + 1`
+ 		done
+ 		if [ $count -ge $STOP_TIMEOUT ]; then
+ 			echo "" #newline
+ 			dspmsg $CAT 8 "stop wait timed out.\n"
+ 		fi
+ 	else
+ 		dspmsg $CAT 9 "%s does not appear to be running.\n" $SQUID_LABEL
+ 	fi
+ }
+ 
+ #############################################################################
+ #
+ # squid_restart
+ #
+ # restart the server daemon by sending it a SIGHUP
+ #
+ #############################################################################
+ squid_restart() {
+ 	if [ -r $SQUID_PIDFILE ]; then
+ 		read line < $SQUID_PIDFILE
+ 		set -- junk $line		# protects against empty line
+ 		shift				# get rid of junk
+ 		KILL_PID=$1
+ 		kill -0 $KILL_PID 2>/dev/null
+ 		if [ $? -eq 0 ]; then
+ 			dspmsg $CAT 10 "Restarting %s ... " $SQUID_LABEL
+ 			kill -HUP $KILL_PID 2>/dev/null
+ 			dspmsg $CAT 11 "done.\n"
+ 		else
+ 			dspmsg $CAT 13 "%s does not appear to be running.\n" $SQUID_LABEL
+ 		fi
+ 	else
+ 		dspmsg $CAT 13 "%s does not appear to be running.\n" $SQUID_LABEL
+ 	fi
+ }
+ 
+ #############################################################################
+ #
+ # squid_enable
+ #
+ # add a link to this script into the /etc/rc2.d/ directory, then start
+ # the server
+ #
+ #############################################################################
+ squid_enable() {
+ 	if [ -f /etc/rc2.d/$SCRIPTNUM$SCRIPT ]; then
+ 		dspmsg $CAT 14 "%s is already enabled.\n" $SQUID_LABEL
+ 	else
+ 		dspmsg $CAT 15 "Enabling %s ... " $SQUID_LABEL
+ 		ln $SCRIPTDIR/$SCRIPT /etc/rc2.d/$SCRIPTNUM$SCRIPT
+ 		dspmsg $CAT 16 "done.\n"
+ 	fi
+ 	squid_start
+ }
+ 
+ #############################################################################
+ #
+ # squid_disable
+ #
+ # stop the server, then remove any links to this script in /etc/rc2.d/
+ #
+ #############################################################################
+ squid_disable() {
+ 	squid_stop
+ 	if [ -f /etc/rc2.d/$SCRIPTNUM$SCRIPT ]; then
+ 		dspmsg $CAT 17 "Disabling %s ... " $SQUID_LABEL
+ 		rm -f /etc/rc2.d/$SCRIPTNUM$SCRIPT
+ 		dspmsg $CAT 18 "done.\n"
+ 	else
+ 		dspmsg $CAT 19 "%s is already disabled.\n" $SQUID_LABEL
+ 	fi
+ }
+ 
+ #############################################################################
+ #
+ # squid_query 
+ #
+ # query the server to see if it is running
+ #
+ #############################################################################
+ squid_query() {
+ 	$SQUID_BINARY -k check 2> /dev/null
+ 	if [ $? -eq 0 ]; then
+ 		dspmsg $CAT 20 "%s is currently running.\n" $SQUID_LABEL
+ 	else
+ 		dspmsg $CAT 21 "%s is not running.\n" $SQUID_LABEL
+ 	fi
+ 	if [ -f /etc/rc2.d/$SCRIPTNUM$SCRIPT ]; then
+ 		dspmsg $CAT 22 "%s is enabled.\n" $SQUID_LABEL
+ 	else
+ 		dspmsg $CAT 23 "%s is disabled.\n" $SQUID_LABEL
+ 	fi
+ }
+ 
+ #############################################################################
+ #
+ # squid_rotate
+ #
+ # Rotates the logfiles by using squid's -k rotate command line option.
+ # If server is not running, this starts the server, rotates the logs, and
+ # then stops the server.
+ # 
+ #############################################################################
+ squid_rotate() {
+ 	$SQUID_BINARY -k check 2> /dev/null
+ 	#If it is running, rotate the logs
+ 	if [ $? -eq 0 ]; then
+ 		dspmsg $CAT 12 "Rotating logs ... "
+ 		if $SQUID_BINARY -k rotate ; then 
+ 			dspmsg $CAT 18 "done.\n"
+ 		else
+ 			echo "" #newline
+ 			dspmsg $CAT 24 "Unable to rotate logs.\n"	
+ 		fi
+ 	#if it is not running, start it, rotate logs, and then stop it
+ 	else
+ 		squid_start
+ 		$SQUID_BINARY -k check 2> /dev/null
+ 		if [ $? -eq 0 ]; then
+                 	dspmsg $CAT 12 "Rotating logs ... "
+                 	if $SQUID_BINARY -k rotate ; then
+ 	                        dspmsg $CAT 18 "done.\n"
+         	        else
+                 	        echo "" #newline
+                         	dspmsg $CAT 24 "Unable to rotate logs.\n"      
+ 			fi
+ 			squid_stop
+ 		else
+ 			dspmsg $CAT 24 "Unable to rotate logs.\n"
+                 fi
+ 	fi
+ }
+ 
+ 
+ #############################################################################
+ # main()
+ #############################################################################
+ 
+ # squid creates cached entries on disk using existing umask
+ # uw7's default of 0022 allows world readability, a security issue when
+ # dealing with cookies.
+ umask 0027
+ 
+ # Check usage
+ if [ $# -gt 1 ]; then
+         dspmsg $CAT 1 "$USAGE\n" $0
+         exit 1
+ fi
+ 
+ # function to perform is in $1
+ FUNCTION="$1"
+ 
+ # execute the routine for the requested function
+ case $FUNCTION in
+ start)
+ 	squid_start	;;
+ stop)
+ 	squid_stop	;;
+ enable)
+ 	squid_enable	;;
+ disable)
+ 	squid_disable	;;
+ query)
+ 	squid_query	;;
+ status)
+ 	squid_query	;;
+ restart)
+ 	squid_restart	;;
+ rotate)
+ 	squid_rotate	;;
+ *)
+ 	dspmsg $CAT 1 "$USAGE\n" $0
+ 	exit 1	;;
+ esac
+ 
+ #done
+ exit 0
*** ./squid.desktop.osr6	Mon Oct 24 14:14:39 2005
--- ./squid.desktop	Mon Oct 24 14:14:39 2005
***************
*** 0 ****
--- 1,4 ----
+ [Desktop Entry]
+ Name=Squid Documentation
+ Name[fr]=Documentation du Squid
+ DocPath=/usr/share/doc/packages/squid-2.5.STABLE7/FAQ/index.html
*** ./Install-OSR6.osr6	Mon Oct 24 14:14:39 2005
--- ./Install-OSR6	Mon Oct 24 14:14:39 2005
***************
*** 0 ****
--- 1,56 ----
+ #!/bin/sh
+ #
+ #set -x
+ # These must get set in the UW build but we need them set here
+ INSTALL=/usr/gnu/bin/install
+ VER=2.5.STABLE12
+ ROOT=/var/tmp/squid-${VER}-root
+ # We need GNU make.
+ MAKE=/usr/gnu/bin/make
+ export MAKE
+ [ ! -x $MAKE ] && {
+ 	error "ERROR: $MAKE not found" >&2
+ 	exit 1
+ }
+ # Auth schemes.
+ PAM=
+ AUTH="basic ntlm digest"
+ # Basic auth helpers.  We are excluding LDAP and SASL.
+ BASIC_AUTH_HELPERS="LDAP MSNT NCSA $PAM SMB YP getpwnam multi-domain-NTLM winbind"
+ CFLAGS='-O2 -Xa -Dasm=__asm -DANSICPP'
+ LDFLAGS=' '
+ CC="cc -Kthread -Kalloca"
+ export CFLAGS LDFLAGS CC
+ #set -e
+ # Configure and build in a separate work directory.
+ [ -d work ] || ./Build-OSR6
+ 
+ # Install copyright files.
+ $INSTALL -d $ROOT/$MACH/usr/share/squid
+ $INSTALL -m 0444 COPYING COPYRIGHT $ROOT/$MACH/usr/share/squid
+ 
+ # Install /etc/init.d script.
+ $INSTALL -d $ROOT/$MACH/etc/init.d
+ $INSTALL -m 0444 squid.init $ROOT/$MACH/etc/init.d/squid
+ 
+ # Install documentation.
+ DOCDIR=/usr/share/squid/doc
+ $INSTALL -d $ROOT/$MACH/$DOCDIR
+ $INSTALL -m 0444 squid.html $ROOT/$MACH/$DOCDIR/squid.html
+ 
+ # Remember to bring the FAQ files up from the last dist
+ #mkdir FAQ
+ #cd FAQ
+ #tar xjvf ../squid-FAQ.tar.bz2 FAQ/FAQ.txt FAQ/FAQ.ps.gz
+ #mv FAQ/* .
+ #rmdir FAQ
+ #gzip -d FAQ.ps.gz
+ #bzip2 -9 FAQ.ps FAQ.txt
+ #cd ..
+ 
+ # Install docview glue.
+ INTGroup=/usr/share/meta/doc/HelpTopics/INThome/INTgroup
+ $INSTALL -d $ROOT/$MACH/$INTGroup
+ $INSTALL -m 0444 squid.desktop $ROOT/$MACH/$INTGroup/SquidDoc.desktop
+ 
+ exit 0
